Dms Shares
Alle Operationen rund um Dms Shares.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| DMS Share | dms_share |
15 | — | dms_share_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/dms_shares |
Create dms_share | Create a new dms_share in the active tenant. |
DELETE |
/v1/dms_shares/{id} |
Delete dms_share | Soft delete entity. |
GET |
/v1/dms_shares/{id} |
Get dms_share by id | Fetch a single dms_share. |
GET |
/v1/dms_shares/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/dms_shares/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/dms_shares/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/dms_shares |
List dms_shares | List dms_shares for the active tenant. |
PATCH |
/v1/dms_shares/{id} |
Patch dms_share | JSON Merge Patch update. |
POST |
/v1/dms_shares/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/dms_shares/{id}/transition |
POST /v1/dms_shares/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/dms_shares/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/dms_shares/{id} |
Replace dms_share | Full replace with optimistic locking. |